# Uses of Class
org.eclipse.mat.query.DetailResultProvider

Packages that use DetailResultProvider
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.

## Uses of DetailResultProvider in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return types with arguments of type DetailResultProvider
Modifier and Type
Method
Description
`List<DetailResultProvider>`
ResultMetaData.`getDetailResultProviders()`
Methods in org.eclipse.mat.query with parameters of type DetailResultProvider
Modifier and Type
Method
Description
`ResultMetaData.Builder`
ResultMetaData.Builder.`addDetailResult(DetailResultProvider provider)`
Add a `DetailResultProvider` which can provide enhanced information about a result.

## Uses of DetailResultProvider in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry with parameters of type DetailResultProvider
Modifier and Type
Method
Description
`static final String`
QueryObjectLink.`forDetailResult(DetailResultProvider provider, String identifier)`